typedef union {
    int integer;
    float real;
    char* string;
    int cmd;
    Concept* concept;
    Individual* individual;
    Object* object;
    ComputedConcept* computed_concept;
    ComputedFillers* computed_fillers;
    List<Individual*>* role_fillers;
} YYSTYPE;
#define	INTEGER	258
#define	UNSIGNED	259
#define	REAL	260
#define	STRING	261
#define	ID	262
#define	COMMAND	263
#define	CMD_DEF_CON	264
#define	CMD_DEF_PRIM	265
#define	CMD_DEF_DISJ_PRIM	266
#define	CMD_DEF_IND	267
#define	CMD_DEF_ROLE	268
#define	CMD_DEF_ATTR	269
#define	CMD_DEF_RULE	270
#define	CMD_AND	271
#define	CMD_ALL	272
#define	CMD_FILLS	273
#define	CMD_ONE_OF	274
#define	CMD_AT_LEAST	275
#define	CMD_AT_MOST	276
#define	CMD_EXACTLY	277
#define	CMD_BETWEEN	278
#define	CMD_TEST_C	279
#define	CMD_COMPUTED_CONCEPT	280
#define	CMD_COMPUTED_FILLERS	281
#define	CMD_CLOSE_ROLE	282
#define	CMD_IND_ATTR_FILLER	283
#define	CMD_IND_ROLE_FILLERS	284
#define	CMD_IND_PARENTS	285
#define	CMD_CON_PARENTS	286
#define	CMD_LOAD	287
#define	CMD_TRACE	288
#define	CMD_UNTRACE	289
#define	CMD_ECHO	290
#define	CMD_NTH	291
#define	OP_CLASS	292
#define	OP_SUB	293
#define	OP_RULE	294
#define	OP_TEST	295
#define	OP_ON	296
#define	OP_OFF	297
#define	OP_LE	298
#define	OP_GE	299


extern YYSTYPE yylval;
