#if !defined(CLASSIFY_H)
#define CLASSIFY_H

#include "concept.h"
#include "individual.h"

extern bool isa(const HostIndividual&, const Concept&);
extern bool isa(const ClassicIndividual&, const Concept&);
extern bool operator<(const Individual&, const Concept&);

inline bool operator>(const Concept& C, const Individual& I)
{
    return I < C;
}

#endif
