#include "trace.h"
#include <iostream.h>


Trace trace;


void Trace::set(Level i)
{
    _status[i] = TRUE;
}


void Trace::unset(Level i)
{
    _status[i] = FALSE;
}


void Trace::suspend()
{
    _suspended = TRUE;
}


void Trace::resume()
{
    _suspended = FALSE;
}


bool Trace::on(Level i) const
{
    /*
	Never "on" if suspended
     */

//cout << "DEBUG i = " << i;
//cout << (_status[i]? " true": " false") << endl;
    if (_suspended)
	return FALSE;
    else
	return _status[i];
}

